Skip to main content
`Ctrl`+`K`

# TaoGetRecycleHistory

Retrieve the boolean flag for re-using iterate information from the previous `TaoSolve()`. This feature is disabled by default.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetRecycleHistory(Tao tao, PetscBool *recycle)

Logically Collective

## Input Parameter

- tao - the `Tao` context

## Output Parameter

- recycle - boolean flag

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSetRecycleHistory()`, `TAOBNCG`, `TAOBQNLS`, `TAOBQNKLS`, `TAOBQNKTR`, `TAOBQNKTL`

## Level

intermediate

## Location

src/tao/interface/taosolver.c

## Examples

src/tao/unconstrained/tutorials/rosenbrock3.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages